#!/bin/bash
cd content
find . -type d -exec mkdir -p ../public/{} \;
find ./ -iname "*.md" -type f -exec sh -c 'pandoc "${0}" -f markdown -t html5 --template ../templates/page.html --css index.css -o "../public/$(basename ${0%.md}.html)"' {} \;
pandoc content/index.md -f markdown -t html5 --template templates/page.html --css index.css -o public/blog/index.html
